Skip to content

Update environment config

PATCH
/api/v1/environments/config/{env}
curl --request PATCH \
--url https://osctrl.net/api/v1/environments/config/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "atc": "example", "decorators": "example", "flags": "example", "options": "example", "packs": "example", "schedule": "example" }'

Updates raw osquery config sections for an environment.

env
required
string

Environment name or UUID

Request body

Media typeapplication/json
object
atc
string
decorators
string
flags
string
options
string
packs
string
schedule
string
Examplegenerated
{
"atc": "example",
"decorators": "example",
"flags": "example",
"options": "example",
"packs": "example",
"schedule": "example"
}

OK

Media typeapplication/json
object
atc
string
decorators
string
flags
string
options
string
packs
string
schedule
string
Examplegenerated
{
"atc": "example",
"decorators": "example",
"flags": "example",
"options": "example",
"packs": "example",
"schedule": "example"
}

Bad request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Conflict

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Too many requests

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}